using UnityEngine;
using System.Collections;

public class GodBob : MonoBehaviour
{
	public float bobSpeed;
	public float bobMaxAngle;

	void Reset()
	{
		bobSpeed = 1.0f;
		bobMaxAngle = 5.0f;
	}

	void Update ()
	{
		Vector3 angs = transform.eulerAngles;
		angs.z = Mathf.Sin(Time.time * bobSpeed) * bobMaxAngle;
		transform.eulerAngles = angs;
	}
}
